import { RuntimeStringField } from '@oinone/kunlun-engine';
import { ValidatorInfo } from '../../../typing';
import { FormInputAbstractFieldWidget } from '../abstract/FormInputAbstractFieldWidget';
/**
 * 字符串输入组件公共基础类
 */
export declare class FormStringFieldWidget extends FormInputAbstractFieldWidget<string, RuntimeStringField> {
    initialize(props: any): this;
    protected get maxLength(): any;
    protected get minLength(): string | number;
    protected get showCount(): any;
    protected get crypto(): any;
    protected get visibleIcon(): any;
    protected get invisibleIcon(): any;
    protected get type(): string;
    protected getLimitLength(type: 'maxLength' | 'minLength'): number | null;
    validator(): Promise<ValidatorInfo>;
    protected validateLength(realValue: string | undefined): ValidatorInfo;
    change(value: any): void;
    /**
     * @deprecated invalid prop
     */
    protected get patternType(): unknown;
    /**
     * @deprecated invalid prop
     */
    protected get pattern(): any;
    /**
     * @deprecated invalid prop
     */
    protected get clearSetEmpty(): any;
}
